Package Scientific :: Package Geometry :: Module Objects3D :: Class SCLattice

[frames] | no frames]

# Class SCLattice

       Lattice --+
                 |
    RhombicLattice --+
                     |
        BravaisLattice --+
                         |
                        SCLattice

Simple cubic lattice

This is a subclass of BravaisLattice, describing the special case of a cubic elementary cell.

Instance Methods

__init__(self, cellsize, cells, function=None, base=None) |

Inherited from `RhombicLattice`: `makeLattice` Inherited from `Lattice`: `__getitem__`, `__len__`, `__setitem__`

Method Details

### __init__(self, cellsize, cells, function=None, base=None)
(Constructor)

Parameters:
  - `cellsize` (`float`) - the edge length of the cubic elementary cell
  - `cells` - a tuple of three integers, indicating how often the elementary cell should be replicated along each lattice vector
  - `cells` - `tuple` of `int`
  - `function` (callable) - the function to be applied to each point in the lattice in order to obtain the value stored in the lattice. If no function is specified, the point itself becomes the value stored in the lattice.
  - `base` (Scientific.Geometry.Vector) - an offset added to all lattice points
Overrides: Lattice.__init__